{{page-title (t "layout") " | " @model.page.name}}

{{#if @model.page}}
  <Editor::PageEditors @title={{this.title}} @onDeselect={{this.configLayout}}>
    <:panel>
      <div class="container mt-3">
        <Breadcrumbs @value={{this.breadcrumbs}} />
      </div>

      <Manage::PageFrame class={{this.deviceSizeClass}}>
        <:header>
          <div class="d-inline-block m-1 ms-3 text-secondary">
            <LinkTo
              class="btn btn-sm btn-outline-secondary ms-2 btn-show-content"
              @route="manage.pages.content"
              @model={{@model.page.id}}
            >
              {{capitalize (t "edit content")}}
            </LinkTo>
          </div>

          <Input::Layout::DeviceSize @value={{this.deviceSize}} @onChange={{this.changeDeviceSize}} />

          <div class="btn-group float-end m-1 me-3">
            <Input::Button class="btn btn-sm btn-outline-primary btn-save" @action={{this.saveLayout}}>
              {{t "save"}}
            </Input::Button>

            <Dropdown @isDropdownToggle={{true}} @toggleClass="btn-sm btn-outline-primary">
              <Input::Button class="dropdown-item btn-copy-layout" @action={{this.cloneLayout}}>
                {{t "save as a new copy"}}
              </Input::Button>
            </Dropdown>
          </div>
        </:header>

        <:body>
          {{#if this.hasVisibleContainers}}
            <Input::Layout::Containers
              @page={{@model.page}}
              @selectionId={{this.selectionId}}
              @size={{this.deviceSize}}
              @onSelect={{this.onSelect}}
            />
          {{/if}}
        </:body>
      </Manage::PageFrame>
    </:panel>

    <:content>
      {{#if this.configureLayout}}
        <Input::Options::LayoutOptions
          class="layout-options-sheet"
          @layout={{@model.page}}
          @deviceSize={{this.size}}
          @onDeviceSizeChange={{this.changeDeviceSize}}
          @pageRevisions={{this.pageRevisions.revisions}}
          @onRevertPage={{this.revertPage}}
        />
      {{/if}}

      {{#if this.selectedCol}}
        <Input::Options::ColOptions
          class="col-options-sheet"
          @selectionId={{this.selectionId}}
          @col={{this.selectedCol}}
          @onChangeOptions={{this.changeColOptions}}
          @deviceSize={{this.deviceSize}}
          @onDeviceSizeChange={{this.changeDeviceSize}}
        />
      {{/if}}

      {{#if this.selectedRow}}
        <Input::Options::RowOptions
          class="row-options-sheet"
          @row={{this.selectedRow}}
          @onChangeOptions={{this.changeRowOptions}}
          @deviceSize={{this.deviceSize}}
          @onDeviceSizeChange={{this.changeDeviceSize}}
        />
      {{/if}}

      {{#if this.selectedContainer}}
        <Input::GlobalLayoutContainer
          @space={{@model.space}}
          @container={{this.selectedContainer}}
          @onChange={{this.changeContainer}}
        />

        {{#unless this.selectedContainer.gid}}
          <Input::Manage::ToGlobalPageCol class="m-2 d-grid" @onSubmit={{this.changeGid}} />
        {{/unless}}

        <Input::Options::ContainerOptions
          class="container-options-sheet container-options-sheet-manage-pages-layout"
          @container={{this.selectedContainer}}
          @onChange={{this.changeContainer}}
          @deviceSize={{this.deviceSize}}
        />
      {{/if}}
    </:content>
  </Editor::PageEditors>
{{else}}
  <LoadingContainer />
{{/if}}